create several issues in one REST API request
Resolution:    

Description

my application creates many issues in Redmine. here's my performance testing results with Redmine 1.2.1:

Saving 200 tasks to Redmine takes 8m:35s (515 sec) on our test server (a pretty slow machine), which

gives around ~2.3sec/task.

Loading 200 tasks takes 6 seconds. Save/load speed changes pretty much linearly when tasks number changes.

 (I published it here http://taskadapter.com/taskadapter_info )

is it possible to add "bulk save" to Redmine's REST API?

History

#1 - 2011-11-20 21:55 - Jean-Philippe Lang

- Category set to REST API

This is really slow. On my dev box with webrick, it takes 14s to create 200 issues using the API (~ 0.07s/task).

#2 - 2011-11-20 22:04 - Alex Last

more info: I keep test Redmine instances on a single-core pentium4 ~3 Ghz server with 2 Gb of RAM (shared with many other apps). "create issue"

requests are sent from another machine. My test Redmine has a few thousand issues.

#3 - 2011-11-21 04:00 - Alex Last

btw, do you use XML or JSon? I use XML only.

#4 - 2011-11-21 23:12 - Jean-Philippe Lang

XML, my instance has > 10k issues and is running on a vm with 1GB of RAM and 1 core of my i7.
